(function( $ ) {
	wp.customize.bind( 'ready', function() {

		var optPrefix = '#customize-control-automobile_detailing_shop_options-';
		
		// Label
		function automobile_detailing_shop_customizer_label( id, title ) {

			// Site Identity

			if ( id === 'custom_logo' || id === 'site_icon' ) {
				$( '#customize-control-'+ id ).before('<li class="tab-title customize-control">'+ title  +'</li>');
			} else {
				$( '#customize-control-automobile_detailing_shop_options-'+ id ).before('<li class="tab-title customize-control">'+ title +'</li>');
			}

			// Global Color Setting

			if ( id === 'automobile_detailing_shop_first_color' || id === 'automobile_detailing_shop_heading_color' || id === 'automobile_detailing_shop_paragraph_color') {
				$( '#customize-control-'+ id ).before('<li class="tab-title customize-control">'+ title  +'</li>');
			} else {
				$( '#customize-control-automobile_detailing_shop_options-'+ id ).before('<li class="tab-title customize-control">'+ title +'</li>');
			}

			// General Setting

			if ( id === 'automobile_detailing_shop_scroll_hide' || id === 'automobile_detailing_shop_preloader_hide' || id === 'automobile_detailing_shop_sticky_header' || id === 'automobile_detailing_shop_products_per_row' || id === 'automobile_detailing_shop_scroll_top_position' || id === 'automobile_detailing_shop_products_per_row' || id === 'automobile_detailing_shop_width_option' || id === 'automobile_detailing_shop_nav_menu_text_transform')  {
				$( '#customize-control-'+ id ).before('<li class="tab-title customize-control">'+ title  +'</li>');
			} else {
				$( '#customize-control-automobile_detailing_shop_options-'+ id ).before('<li class="tab-title customize-control">'+ title +'</li>');
			}

			// Colors

			if ( id === 'automobile_detailing_shop_theme_color' || id === 'background_color' || id === 'background_image' ) {
				$( '#customize-control-'+ id ).before('<li class="tab-title customize-control">'+ title  +'</li>');
			} else {
				$( '#customize-control-automobile_detailing_shop_options-'+ id ).before('<li class="tab-title customize-control">'+ title +'</li>');
			}

			// Post Layouts

			if ( id === 'automobile_detailing_shop_post_layout' ) {
				$( '#customize-control-'+ id ).before('<li class="tab-title customize-control">'+ title  +'</li>');
			} else {
				$( '#customize-control-automobile_detailing_shop_options-'+ id ).before('<li class="tab-title customize-control">'+ title +'</li>');
			}

			// 404 Page Settings

			if ( id === 'automobile_detailing_shop_404_page_main_heading' ) {
				$( '#customize-control-'+ id ).before('<li class="tab-title customize-control">'+ title  +'</li>');
			} else {
				$( '#customize-control-automobile_detailing_shop_options-'+ id ).before('<li class="tab-title customize-control">'+ title +'</li>');
			}

			// Menu Settings

			if ( id === 'automobile_detailing_shop_menu_font_size' ) {
				$( '#customize-control-'+ id ).before('<li class="tab-title customize-control">'+ title  +'</li>');
			} else {
				$( '#customize-control-automobile_detailing_shop_options-'+ id ).before('<li class="tab-title customize-control">'+ title +'</li>');
			}

			// Header Image

			if ( id === 'header_image' ) {
				$( '#customize-control-'+ id ).before('<li class="tab-title customize-control">'+ title  +'</li>');
			} else {
				$( '#customize-control-automobile_detailing_shop_options-'+ id ).before('<li class="tab-title customize-control">'+ title +'</li>');
			}

			// Social Icon

			if ( id === 'automobile_detailing_shop_facebook_icon' || id === 'automobile_detailing_shop_twitter_icon' || id === 'automobile_detailing_shop_intagram_icon'|| id === 'automobile_detailing_shop_linkedin_icon'|| id === 'automobile_detailing_shop_pintrest_icon' ) {
				$( '#customize-control-'+ id ).before('<li class="tab-title customize-control">'+ title  +'</li>');
			} else {
				$( '#customize-control-automobile_detailing_shop_options-'+ id ).before('<li class="tab-title customize-control">'+ title +'</li>');
			}

			//  Header
			
			if ( id === 'automobile_detailing_shop_topbar_location' || id === 'automobile_detailing_shop_topbar_email' || id === 'automobile_detailing_shop_topbar_phone_number' || id === 'automobile_detailing_shop_topbar_button_text_1' || id === 'automobile_detailing_shop_topbar_button_text_3' || id === 'automobile_detailing_shop_topbar_button_text_2'  || id === 'automobile_detailing_shop_header_button_text') {
				$( '#customize-control-'+ id ).before('<li class="tab-title customize-control">'+ title  +'</li>');
			} else {
				$( '#customize-control-automobile_detailing_shop_options-'+ id ).before('<li class="tab-title customize-control">'+ title +'</li>');
			}


			// Slider

			if ( id === 'automobile_detailing_shop_banner_section_setting' || id === 'automobile_detailing_shop_counter_number0' || id === 'EAUTO_REPAIR_REVIEW_image' ) {
				$( '#customize-control-'+ id ).before('<li class="tab-title customize-control">'+ title  +'</li>');
			} else {
				$( '#customize-control-automobile_detailing_shop_options-'+ id ).before('<li class="tab-title customize-control">'+ title +'</li>');
			}

			// Products

			if ( id === 'automobile_detailing_shop_categories_section_setting' ) {
				$( '#customize-control-'+ id ).before('<li class="tab-title customize-control">'+ title  +'</li>');
			} else {
				$( '#customize-control-automobile_detailing_shop_options-'+ id ).before('<li class="tab-title customize-control">'+ title +'</li>');
			}

			// Footer

			if ( id === 'automobile_detailing_shop_footer_widget_content_alignment' || id === 'automobile_detailing_shop_show_hide_copyright') {
				$( '#customize-control-'+ id ).before('<li class="tab-title customize-control">'+ title  +'</li>');
			} else {
				$( '#customize-control-automobile_detailing_shop_options-'+ id ).before('<li class="tab-title customize-control">'+ title +'</li>');
			}

			// Post Settings

			if ( id === 'automobile_detailing_shop_post_page_title' ) {
				$( '#customize-control-'+ id ).before('<li class="tab-title customize-control">'+ title  +'</li>');
			} else {
				$( '#customize-control-automobile_detailing_shop_options-'+ id ).before('<li class="tab-title customize-control">'+ title +'</li>');
			}

			// Single Post Settings

			if ( id === 'automobile_detailing_shop_single_post_page_content' ) {
				$( '#customize-control-'+ id ).before('<li class="tab-title customize-control">'+ title  +'</li>');
			} else {
				$( '#customize-control-automobile_detailing_shop_options-'+ id ).before('<li class="tab-title customize-control">'+ title +'</li>');
			}
			
		}

	    // Site Identity
		automobile_detailing_shop_customizer_label( 'custom_logo', 'Logo Setup' );
		automobile_detailing_shop_customizer_label( 'site_icon', 'Favicon' );

		// Global Color Setting
		automobile_detailing_shop_customizer_label( 'automobile_detailing_shop_first_color', 'Global Color' );
		automobile_detailing_shop_customizer_label( 'automobile_detailing_shop_heading_color', 'Heading Typography' );
		automobile_detailing_shop_customizer_label( 'automobile_detailing_shop_paragraph_color', 'Paragraph Typography' );

		// General Setting
		automobile_detailing_shop_customizer_label( 'automobile_detailing_shop_preloader_hide', 'Preloader' );
		automobile_detailing_shop_customizer_label( 'automobile_detailing_shop_scroll_hide', 'Scroll To Top' );
		automobile_detailing_shop_customizer_label( 'automobile_detailing_shop_scroll_top_position', 'Scroll to top Position' );
		automobile_detailing_shop_customizer_label( 'automobile_detailing_shop_products_per_row', 'woocommerce Setting' );
		automobile_detailing_shop_customizer_label( 'automobile_detailing_shop_width_option', 'Site Width Layouts' );
		automobile_detailing_shop_customizer_label( 'automobile_detailing_shop_nav_menu_text_transform', 'Nav Menus Text Transform' );

		// Colors
		automobile_detailing_shop_customizer_label( 'automobile_detailing_shop_theme_color', 'Theme Color' );
		automobile_detailing_shop_customizer_label( 'background_color', 'Colors' );
		automobile_detailing_shop_customizer_label( 'background_image', 'Image' );

		// Post Layouts
		automobile_detailing_shop_customizer_label( 'automobile_detailing_shop_post_layout', 'Blog Post Layouts' );

		// 404 Page Settings
		automobile_detailing_shop_customizer_label( 'automobile_detailing_shop_404_page_main_heading', '404 Page Settings' );

		// Menu Settings
		automobile_detailing_shop_customizer_label( 'automobile_detailing_shop_menu_font_size', 'Menu Settings' );

		//Header Image
		automobile_detailing_shop_customizer_label( 'header_image', 'Header Image' );

		// Social Icon
		automobile_detailing_shop_customizer_label( 'automobile_detailing_shop_facebook_icon', 'Facebook' );
		automobile_detailing_shop_customizer_label( 'automobile_detailing_shop_twitter_icon', 'Twitter' );
		automobile_detailing_shop_customizer_label( 'automobile_detailing_shop_intagram_icon', 'Intagram' );
		automobile_detailing_shop_customizer_label( 'automobile_detailing_shop_linkedin_icon', 'Linkedin' );
		automobile_detailing_shop_customizer_label( 'automobile_detailing_shop_pintrest_icon', 'Pintrest' );

		// Header 
		automobile_detailing_shop_customizer_label( 'automobile_detailing_shop_topbar_location', 'Location' );
		automobile_detailing_shop_customizer_label( 'automobile_detailing_shop_topbar_email', 'Email Id' );
		automobile_detailing_shop_customizer_label( 'automobile_detailing_shop_topbar_phone_number', 'Phone Number' );

		automobile_detailing_shop_customizer_label( 'automobile_detailing_shop_topbar_button_text_1', 'Topbar Button 1' );
		automobile_detailing_shop_customizer_label( 'automobile_detailing_shop_topbar_button_text_2', 'Topbar Button 2' );
		automobile_detailing_shop_customizer_label( 'automobile_detailing_shop_topbar_button_text_3', 'Topbar Button 3' );

		automobile_detailing_shop_customizer_label( 'automobile_detailing_shop_header_button_text', 'Header Button' );

		//Slider
		automobile_detailing_shop_customizer_label( 'automobile_detailing_shop_banner_section_setting', 'Banner' );
		automobile_detailing_shop_customizer_label( 'automobile_detailing_shop_counter_number0', 'Counter' );
		automobile_detailing_shop_customizer_label( 'EAUTO_REPAIR_REVIEW_image', 'Review' );

		//Products
		automobile_detailing_shop_customizer_label( 'automobile_detailing_shop_categories_section_setting', 'Our Team' );

		//Footer
		automobile_detailing_shop_customizer_label( 'automobile_detailing_shop_footer_widget_content_alignment', 'Footer' );
		automobile_detailing_shop_customizer_label( 'automobile_detailing_shop_show_hide_copyright', 'Copyright' );

		//Post setting
		automobile_detailing_shop_customizer_label( 'automobile_detailing_shop_post_page_title', 'Post Settings' );

		//Single post setting
		automobile_detailing_shop_customizer_label( 'automobile_detailing_shop_single_post_page_content', 'Single Post Settings' );
	

	});

})( jQuery );
